## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate tar

Name:           rust-tar
Version:        0.4.40
Release:        %autorelease
Summary:        Rust implementation of a TAR file reader and writer

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tar
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A Rust implementation of a TAR file reader and writer. This library does
not currently handle compression, but it is abstract over all I/O
readers and writers. Additionally, great lengths are taken to ensure
that the entire contents are never required to be entirely resident in
memory all at once.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xattr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xattr-devel %{_description}

This package contains library source intended for building other packages which
use the "xattr" feature of the "%{crate}" crate.

%files       -n %{name}+xattr-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# files required by unit tests are not included in published crates
%cargo_test -- --doc
%endif

%changelog
* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.40-1
- Update to version 0.4.40; Fixes RHBZ#2229807

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.39-1
- Update to version 0.4.39; Fixes RHBZ#2222741

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.38-1
- Update to version 0.4.38; Fixes RHBZ#2032596

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.37-1
- Update to version 0.4.37; Fixes RHBZ#1993371

* Wed Aug 11 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.36-1
- Update to version 0.4.36; Fixes RHBZ#1992135

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.35-1
- Update to version 0.4.35.
- Fixes RHBZ#1965507

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.33-1
- Update to version 0.4.33.
- Fixes RHBZ#1920148

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 01 2020 Josh Stone <jistone@redhat.com> - 0.4.30-1
- Update to 0.4.30

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.29-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 0.4.29-1
- Update to 0.4.29

* Fri May 22 2020 Josh Stone <jistone@redhat.com> - 0.4.28-1
- Update to 0.4.28

* Thu May 21 2020 Josh Stone <jistone@redhat.com> - 0.4.27-1
- Update to 0.4.27

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 16:14:23 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.26-2
- Regenerate

* Fri May 31 2019 Josh Stone <jistone@redhat.com> - 0.4.26-1
- Update to 0.4.26

* Sun May 12 11:17:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.25-1
- Update to 0.4.25

* Mon Apr 29 20:43:52 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.24-1
- Update to 0.4.24

* Tue Apr 23 19:12:30 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.23-1
- Update to 0.4.23

* Thu Mar 14 2019 Josh Stone <jistone@redhat.com> - 0.4.22-1
- Update to 0.4.22

* Tue Mar 05 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.21-1
- Update to 0.4.21

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 14 2018 Josh Stone <jistone@redhat.com> - 0.4.20-1
- Update to 0.4.20

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.4.19-1
- Update to 0.4.19
- Adapt to new packaging

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 0.4.17-1
- Update to 0.4.17

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Josh Stone <jistone@redhat.com> - 0.4.16-1
- Update to 0.4.16

* Wed Apr 25 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.15-1
- Update to 0.4.15

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.14-1
- Update to 0.4.14

* Mon Jul 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.13-1
- Initial package

